# TypeCode_Traits.h File Reference

`#include "tao/CORBA_String.h"`

Include dependency graph for TypeCode_Traits.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

struct | TAO::TypeCode::Traits< STATIC_TYPECODE >
struct | TAO::TypeCode::Traits< DYNAMIC_TYPECODE >
struct | TAO::TypeCode::Traits< Traits< STATIC_TYPECODE >::typecode_type >
struct | TAO::TypeCode::Traits< Traits< DYNAMIC_TYPECODE >::typecode_type >

## Typedefs

typedef char const * | STATIC_TYPECODE
typedef CORBA::String_var | DYNAMIC_TYPECODE

## Detailed Description

Id
  TypeCode_Traits.h,v 1.1 2005/04/06 21:05:21 ossama Exp

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

## Typedef Documentation

typedef CORBA::String_var TAO::TypeCode::DYNAMIC_TYPECODE

typedef char const* TAO::TypeCode::STATIC_TYPECODE